Vagrant.configure("2") do |config|
	config.vm.box = "../packer-linux/box/virtualbox/linuxmint-cinnamon-20.0-4.0.3.1608288458.box"
	config.vm.boot_timeout = 600
 
	# Configure Vagrant to use SSH
	config.vm.communicator = "ssh"
 
	# Configure SSH Connectivity
	config.ssh.username = "vagrant"
	config.ssh.password = "vagrant"
	config.ssh.insert_key = true
	config.ssh.connect_timeout = 30
 	config.ssh.keep_alive = true

	config.vm.provider "virtualbox" do |vb|
		# Display the VirtualBox GUI when booting the machine
		vb.gui = true
		vb.name = "vmR4"
		vb.customize ["modifyvm", :id, "--memory", 4092]
		vb.customize ["modifyvm", :id, "--cpus", 2]
		vb.customize ["modifyvm", :id, "--vram", 128]
		vb.customize ["modifyvm", :id, "--graphicscontroller","vboxvga"]
		vb.customize ["modifyvm", :id, "--nested-hw-virt", "on"]
    vb.customize ["modifyvm", :id, "--nictype1", "virtio"]
		#vb.customize ["modifyvm", :id, "--vtxvpid", "on"]
		#vb.customize ["modifyvm", :id, "--paravirtprovider", "minimal"]
		#vb.customize ["modifyvm", :id, "--largepages", "on"]
		#vb.customize ["modifyvm", :id, "--hwvirtex", "on"]
		vb.customize ["setextradata", "global", "GUI/SuppressMessages", "all" ]
	end
	
	config.vm.provision "ansible" do |ansible|
		ansible.playbook = "playbook.yml"
		ansible.verbose = "-vvv"
	end
end

